### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.AppSettings.RedisSettings
  commentId: T:adas_core.Domain.Models.AppSettings.RedisSettings
  id: RedisSettings
  parent: adas_core.Domain.Models.AppSettings
  children:
  - adas_core.Domain.Models.AppSettings.RedisSettings.ChannelPrefix
  - adas_core.Domain.Models.AppSettings.RedisSettings.ConnectionString
  - adas_core.Domain.Models.AppSettings.RedisSettings.EnableScalable
  - adas_core.Domain.Models.AppSettings.RedisSettings.Endpoints
  - adas_core.Domain.Models.AppSettings.RedisSettings.ExpireKeyInSeconds
  - adas_core.Domain.Models.AppSettings.RedisSettings.Password
  - adas_core.Domain.Models.AppSettings.RedisSettings.Ssl
  - adas_core.Domain.Models.AppSettings.RedisSettings.Ttl
  langs:
  - csharp
  - vb
  name: RedisSettings
  nameWithType: RedisSettings
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RedisSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RedisSettings
    path: ../../adas-core.Domain/Models/AppSettings/RedisSettings.cs
    startLine: 12
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  summary: >-
    Configuración Redis.

    No contiene lógica de qué entidades usan Redis (eso está en CacheSettings).

    Esta clase solo define:
     - Conexión
     - Cluster/Scalability
     - SSL/password
     - TTL global y por entidad
     - Generación de claves CacheKeys
  example: []
  syntax:
    content: public class RedisSettings
    content.vb: Public Class RedisSettings
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.ConnectionString
  commentId: P:adas_core.Domain.Models.AppSettings.RedisSettings.ConnectionString
  id: ConnectionString
  parent: adas_core.Domain.Models.AppSettings.RedisSettings
  langs:
  - csharp
  - vb
  name: ConnectionString
  nameWithType: RedisSettings.ConnectionString
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.ConnectionString
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RedisSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: ConnectionString
    path: ../../adas-core.Domain/Models/AppSettings/RedisSettings.cs
    startLine: 15
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public string? ConnectionString { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property ConnectionString As String
  overload: adas_core.Domain.Models.AppSettings.RedisSettings.ConnectionString*
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.EnableScalable
  commentId: P:adas_core.Domain.Models.AppSettings.RedisSettings.EnableScalable
  id: EnableScalable
  parent: adas_core.Domain.Models.AppSettings.RedisSettings
  langs:
  - csharp
  - vb
  name: EnableScalable
  nameWithType: RedisSettings.EnableScalable
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.EnableScalable
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RedisSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: EnableScalable
    path: ../../adas-core.Domain/Models/AppSettings/RedisSettings.cs
    startLine: 16
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public bool EnableScalable { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property EnableScalable As Boolean
  overload: adas_core.Domain.Models.AppSettings.RedisSettings.EnableScalable*
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.Ssl
  commentId: P:adas_core.Domain.Models.AppSettings.RedisSettings.Ssl
  id: Ssl
  parent: adas_core.Domain.Models.AppSettings.RedisSettings
  langs:
  - csharp
  - vb
  name: Ssl
  nameWithType: RedisSettings.Ssl
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.Ssl
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RedisSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Ssl
    path: ../../adas-core.Domain/Models/AppSettings/RedisSettings.cs
    startLine: 17
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public bool Ssl { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Ssl As Boolean
  overload: adas_core.Domain.Models.AppSettings.RedisSettings.Ssl*
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.Password
  commentId: P:adas_core.Domain.Models.AppSettings.RedisSettings.Password
  id: Password
  parent: adas_core.Domain.Models.AppSettings.RedisSettings
  langs:
  - csharp
  - vb
  name: Password
  nameWithType: RedisSettings.Password
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.Password
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RedisSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Password
    path: ../../adas-core.Domain/Models/AppSettings/RedisSettings.cs
    startLine: 18
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public string? Password { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Password As String
  overload: adas_core.Domain.Models.AppSettings.RedisSettings.Password*
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.Endpoints
  commentId: P:adas_core.Domain.Models.AppSettings.RedisSettings.Endpoints
  id: Endpoints
  parent: adas_core.Domain.Models.AppSettings.RedisSettings
  langs:
  - csharp
  - vb
  name: Endpoints
  nameWithType: RedisSettings.Endpoints
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.Endpoints
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RedisSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Endpoints
    path: ../../adas-core.Domain/Models/AppSettings/RedisSettings.cs
    startLine: 19
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public IEnumerable<RedisSettings.RedisEndpoint> Endpoints { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.IEnumerable{adas_core.Domain.Models.AppSettings.RedisSettings.RedisEndpoint}
    content.vb: Public Property Endpoints As IEnumerable(Of RedisSettings.RedisEndpoint)
  overload: adas_core.Domain.Models.AppSettings.RedisSettings.Endpoints*
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.ChannelPrefix
  commentId: P:adas_core.Domain.Models.AppSettings.RedisSettings.ChannelPrefix
  id: ChannelPrefix
  parent: adas_core.Domain.Models.AppSettings.RedisSettings
  langs:
  - csharp
  - vb
  name: ChannelPrefix
  nameWithType: RedisSettings.ChannelPrefix
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.ChannelPrefix
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RedisSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: ChannelPrefix
    path: ../../adas-core.Domain/Models/AppSettings/RedisSettings.cs
    startLine: 20
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public string ChannelPrefix { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property ChannelPrefix As String
  overload: adas_core.Domain.Models.AppSettings.RedisSettings.ChannelPrefix*
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.ExpireKeyInSeconds
  commentId: P:adas_core.Domain.Models.AppSettings.RedisSettings.ExpireKeyInSeconds
  id: ExpireKeyInSeconds
  parent: adas_core.Domain.Models.AppSettings.RedisSettings
  langs:
  - csharp
  - vb
  name: ExpireKeyInSeconds
  nameWithType: RedisSettings.ExpireKeyInSeconds
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.ExpireKeyInSeconds
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RedisSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: ExpireKeyInSeconds
    path: ../../adas-core.Domain/Models/AppSettings/RedisSettings.cs
    startLine: 24
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public int? ExpireKeyInSeconds { get; set; }
    parameters: []
    return:
      type: System.Nullable{System.Int32}
    content.vb: Public Property ExpireKeyInSeconds As Integer?
  overload: adas_core.Domain.Models.AppSettings.RedisSettings.ExpireKeyInSeconds*
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.Ttl
  commentId: P:adas_core.Domain.Models.AppSettings.RedisSettings.Ttl
  id: Ttl
  parent: adas_core.Domain.Models.AppSettings.RedisSettings
  langs:
  - csharp
  - vb
  name: Ttl
  nameWithType: RedisSettings.Ttl
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.Ttl
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RedisSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Ttl
    path: ../../adas-core.Domain/Models/AppSettings/RedisSettings.cs
    startLine: 26
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public TtlSettings Ttl { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.AppSettings.TtlSettings
    content.vb: Public Property Ttl As TtlSettings
  overload: adas_core.Domain.Models.AppSettings.RedisSettings.Ttl*
references:
- uid: adas_core.Domain.Models.AppSettings
  commentId: N:adas_core.Domain.Models.AppSettings
  href: adas_core.html
  name: adas_core.Domain.Models.AppSettings
  nameWithType: adas_core.Domain.Models.AppSettings
  fullName: adas_core.Domain.Models.AppSettings
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings
    name: AppSettings
    href: adas_core.Domain.Models.AppSettings.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings
    name: AppSettings
    href: adas_core.Domain.Models.AppSettings.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.ConnectionString*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RedisSettings.ConnectionString
  href: adas_core.Domain.Models.AppSettings.RedisSettings.html#adas_core_Domain_Models_AppSettings_RedisSettings_ConnectionString
  name: ConnectionString
  nameWithType: RedisSettings.ConnectionString
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.ConnectionString
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.EnableScalable*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RedisSettings.EnableScalable
  href: adas_core.Domain.Models.AppSettings.RedisSettings.html#adas_core_Domain_Models_AppSettings_RedisSettings_EnableScalable
  name: EnableScalable
  nameWithType: RedisSettings.EnableScalable
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.EnableScalable
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.Ssl*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RedisSettings.Ssl
  href: adas_core.Domain.Models.AppSettings.RedisSettings.html#adas_core_Domain_Models_AppSettings_RedisSettings_Ssl
  name: Ssl
  nameWithType: RedisSettings.Ssl
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.Ssl
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.Password*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RedisSettings.Password
  href: adas_core.Domain.Models.AppSettings.RedisSettings.html#adas_core_Domain_Models_AppSettings_RedisSettings_Password
  name: Password
  nameWithType: RedisSettings.Password
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.Password
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.Endpoints*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RedisSettings.Endpoints
  href: adas_core.Domain.Models.AppSettings.RedisSettings.html#adas_core_Domain_Models_AppSettings_RedisSettings_Endpoints
  name: Endpoints
  nameWithType: RedisSettings.Endpoints
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.Endpoints
- uid: System.Collections.Generic.IEnumerable{adas_core.Domain.Models.AppSettings.RedisSettings.RedisEndpoint}
  commentId: T:System.Collections.Generic.IEnumerable{adas_core.Domain.Models.AppSettings.RedisSettings.RedisEndpoint}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.IEnumerable`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<RedisSettings.RedisEndpoint>
  nameWithType: IEnumerable<RedisSettings.RedisEndpoint>
  fullName: System.Collections.Generic.IEnumerable<adas_core.Domain.Models.AppSettings.RedisSettings.RedisEndpoint>
  nameWithType.vb: IEnumerable(Of RedisSettings.RedisEndpoint)
  fullName.vb: System.Collections.Generic.IEnumerable(Of adas_core.Domain.Models.AppSettings.RedisSettings.RedisEndpoint)
  name.vb: IEnumerable(Of RedisSettings.RedisEndpoint)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: adas_core.Domain.Models.AppSettings.RedisSettings
    name: RedisSettings
    href: adas_core.Domain.Models.AppSettings.RedisSettings.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings.RedisSettings.RedisEndpoint
    name: RedisEndpoint
    href: adas_core.Domain.Models.AppSettings.RedisSettings.RedisEndpoint.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.AppSettings.RedisSettings
    name: RedisSettings
    href: adas_core.Domain.Models.AppSettings.RedisSettings.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings.RedisSettings.RedisEndpoint
    name: RedisEndpoint
    href: adas_core.Domain.Models.AppSettings.RedisSettings.RedisEndpoint.html
  - name: )
- uid: System.Collections.Generic.IEnumerable`1
  commentId: T:System.Collections.Generic.IEnumerable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<T>
  nameWithType: IEnumerable<T>
  fullName: System.Collections.Generic.IEnumerable<T>
  nameWithType.vb: IEnumerable(Of T)
  fullName.vb: System.Collections.Generic.IEnumerable(Of T)
  name.vb: IEnumerable(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.ChannelPrefix*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RedisSettings.ChannelPrefix
  href: adas_core.Domain.Models.AppSettings.RedisSettings.html#adas_core_Domain_Models_AppSettings_RedisSettings_ChannelPrefix
  name: ChannelPrefix
  nameWithType: RedisSettings.ChannelPrefix
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.ChannelPrefix
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.ExpireKeyInSeconds*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RedisSettings.ExpireKeyInSeconds
  href: adas_core.Domain.Models.AppSettings.RedisSettings.html#adas_core_Domain_Models_AppSettings_RedisSettings_ExpireKeyInSeconds
  name: ExpireKeyInSeconds
  nameWithType: RedisSettings.ExpireKeyInSeconds
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.ExpireKeyInSeconds
- uid: System.Nullable{System.Int32}
  commentId: T:System.Nullable{System.Int32}
  parent: System
  definition: System.Nullable`1
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int?
  nameWithType: int?
  fullName: int?
  nameWithType.vb: Integer?
  fullName.vb: Integer?
  name.vb: Integer?
  spec.csharp:
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: '?'
  spec.vb:
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: '?'
- uid: System.Nullable`1
  commentId: T:System.Nullable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  name: Nullable<T>
  nameWithType: Nullable<T>
  fullName: System.Nullable<T>
  nameWithType.vb: Nullable(Of T)
  fullName.vb: System.Nullable(Of T)
  name.vb: Nullable(Of T)
  spec.csharp:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Domain.Models.AppSettings.RedisSettings.Ttl*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RedisSettings.Ttl
  href: adas_core.Domain.Models.AppSettings.RedisSettings.html#adas_core_Domain_Models_AppSettings_RedisSettings_Ttl
  name: Ttl
  nameWithType: RedisSettings.Ttl
  fullName: adas_core.Domain.Models.AppSettings.RedisSettings.Ttl
- uid: adas_core.Domain.Models.AppSettings.TtlSettings
  commentId: T:adas_core.Domain.Models.AppSettings.TtlSettings
  parent: adas_core.Domain.Models.AppSettings
  href: adas_core.Domain.Models.AppSettings.TtlSettings.html
  name: TtlSettings
  nameWithType: TtlSettings
  fullName: adas_core.Domain.Models.AppSettings.TtlSettings
